Package jnr.constants.platform

# Enum SocketOption

java.lang.Object
java.lang.Enum<SocketOption>
jnr.constants.platform.SocketOption

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketOption>`, `java.lang.constant.Constable`, `Constant`

public enum SocketOption extends Enum<SocketOption> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__UNKNOWN_CONSTANT__`
`SO_ACCEPTCONN`
`SO_ACCEPTFILTER`
`SO_ALLZONES`
`SO_ATTACH_FILTER`
`SO_BINDTODEVICE`
`SO_BPF_EXTENSIONS`
`SO_BROADCAST`
`SO_BUSY_POLL`
`SO_DEBUG`
`SO_DETACH_FILTER`
`SO_DOMAIN`
`SO_DONTROUTE`
`SO_DONTTRUNC`
`SO_ERROR`
`SO_GET_FILTER`
`SO_KEEPALIVE`
`SO_LABEL`
`SO_LINGER`
`SO_LOCK_FILTER`
`SO_MAC_EXEMPT`
`SO_MARK`
`SO_MAX_PACING_RATE`
`SO_NKE`
`SO_NO_CHECK`
`SO_NOADDRERR`
`SO_NOFCS`
`SO_NOSIGPIPE`
`SO_NREAD`
`SO_NWRITE`
`SO_OOBINLINE`
`SO_PASSCRED`
`SO_PASSSEC`
`SO_PEEK_OFF`
`SO_PEERCRED`
`SO_PEERLABEL`
`SO_PEERNAME`
`SO_PEERSEC`
`SO_PRIORITY`
`SO_PROTOCOL`
`SO_RCVBUF`
`SO_RCVBUFFORCE`
`SO_RCVLOWAT`
`SO_RCVTIMEO`
`SO_RECVUCRED`
`SO_REUSEADDR`
`SO_REUSEPORT`
`SO_REUSESHAREUID`
`SO_RXQ_OVFL`
`SO_SECURITY_AUTHENTICATION`
`SO_SECURITY_ENCRYPTION_NETWORK`
`SO_SECURITY_ENCRYPTION_TRANSPORT`
`SO_SELECT_ERR_QUEUE`
`SO_SNDBUF`
`SO_SNDBUFFORCE`
`SO_SNDLOWAT`
`SO_SNDTIMEO`
`SO_TIMESTAMP`
`SO_TIMESTAMPING`
`SO_TIMESTAMPNS`
`SO_TYPE`
`SO_USELOOPBACK`
`SO_WANTMORE`
`SO_WANTOOBFLAG`
`SO_WIFI_STATUS`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final String`
`description()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static SocketOption`
`valueOf(long value)`
Returns the enum constant of this type with the specified name.
`static SocketOption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SocketOption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### SO_DEBUG

public static final SocketOption SO_DEBUG

### SO_ACCEPTCONN

public static final SocketOption SO_ACCEPTCONN

### SO_REUSEADDR

public static final SocketOption SO_REUSEADDR

### SO_KEEPALIVE

public static final SocketOption SO_KEEPALIVE

### SO_DONTROUTE

public static final SocketOption SO_DONTROUTE

### SO_BROADCAST

public static final SocketOption SO_BROADCAST

### SO_USELOOPBACK

public static final SocketOption SO_USELOOPBACK

### SO_LINGER

public static final SocketOption SO_LINGER

### SO_OOBINLINE

public static final SocketOption SO_OOBINLINE

### SO_REUSEPORT

public static final SocketOption SO_REUSEPORT

### SO_TIMESTAMP

public static final SocketOption SO_TIMESTAMP

### SO_ACCEPTFILTER

public static final SocketOption SO_ACCEPTFILTER

### SO_DONTTRUNC

public static final SocketOption SO_DONTTRUNC

### SO_WANTMORE

public static final SocketOption SO_WANTMORE

### SO_WANTOOBFLAG

public static final SocketOption SO_WANTOOBFLAG

### SO_SNDBUF

public static final SocketOption SO_SNDBUF

### SO_RCVBUF

public static final SocketOption SO_RCVBUF

### SO_SNDLOWAT

public static final SocketOption SO_SNDLOWAT

### SO_RCVLOWAT

public static final SocketOption SO_RCVLOWAT

### SO_SNDTIMEO

public static final SocketOption SO_SNDTIMEO

### SO_RCVTIMEO

public static final SocketOption SO_RCVTIMEO

### SO_ERROR

public static final SocketOption SO_ERROR

### SO_TYPE

public static final SocketOption SO_TYPE

### SO_NREAD

public static final SocketOption SO_NREAD

### SO_NKE

public static final SocketOption SO_NKE

### SO_NOSIGPIPE

public static final SocketOption SO_NOSIGPIPE

### SO_NOADDRERR

public static final SocketOption SO_NOADDRERR

### SO_NWRITE

public static final SocketOption SO_NWRITE

### SO_REUSESHAREUID

public static final SocketOption SO_REUSESHAREUID

### SO_LABEL

public static final SocketOption SO_LABEL

### SO_PEERLABEL

public static final SocketOption SO_PEERLABEL

### SO_ATTACH_FILTER

public static final SocketOption SO_ATTACH_FILTER

### SO_BINDTODEVICE

public static final SocketOption SO_BINDTODEVICE

### SO_DETACH_FILTER

public static final SocketOption SO_DETACH_FILTER

### SO_NO_CHECK

public static final SocketOption SO_NO_CHECK

### SO_PASSCRED

public static final SocketOption SO_PASSCRED

### SO_PEERCRED

public static final SocketOption SO_PEERCRED

### SO_PEERNAME

public static final SocketOption SO_PEERNAME

### SO_PRIORITY

public static final SocketOption SO_PRIORITY

### SO_SNDBUFFORCE

public static final SocketOption SO_SNDBUFFORCE

### SO_RCVBUFFORCE

public static final SocketOption SO_RCVBUFFORCE

### SO_GET_FILTER

public static final SocketOption SO_GET_FILTER

### SO_TIMESTAMPNS

public static final SocketOption SO_TIMESTAMPNS

### SO_RECVUCRED

public static final SocketOption SO_RECVUCRED

### SO_MAC_EXEMPT

public static final SocketOption SO_MAC_EXEMPT

### SO_ALLZONES

public static final SocketOption SO_ALLZONES

### SO_PEERSEC

public static final SocketOption SO_PEERSEC

### SO_PASSSEC

public static final SocketOption SO_PASSSEC

### SO_MARK

public static final SocketOption SO_MARK

### SO_TIMESTAMPING

public static final SocketOption SO_TIMESTAMPING

### SO_PROTOCOL

public static final SocketOption SO_PROTOCOL

### SO_DOMAIN

public static final SocketOption SO_DOMAIN

### SO_RXQ_OVFL

public static final SocketOption SO_RXQ_OVFL

### SO_WIFI_STATUS

public static final SocketOption SO_WIFI_STATUS

### SO_PEEK_OFF

public static final SocketOption SO_PEEK_OFF

### SO_NOFCS

public static final SocketOption SO_NOFCS

### SO_LOCK_FILTER

public static final SocketOption SO_LOCK_FILTER

### SO_SELECT_ERR_QUEUE

public static final SocketOption SO_SELECT_ERR_QUEUE

### SO_BUSY_POLL

public static final SocketOption SO_BUSY_POLL

### SO_MAX_PACING_RATE

public static final SocketOption SO_MAX_PACING_RATE

### SO_BPF_EXTENSIONS

public static final SocketOption SO_BPF_EXTENSIONS

### SO_SECURITY_AUTHENTICATION

public static final SocketOption SO_SECURITY_AUTHENTICATION

### SO_SECURITY_ENCRYPTION_NETWORK

public static final SocketOption SO_SECURITY_ENCRYPTION_NETWORK

### SO_SECURITY_ENCRYPTION_TRANSPORT

public static final SocketOption SO_SECURITY_ENCRYPTION_TRANSPORT

### __UNKNOWN_CONSTANT__

public static final SocketOption __UNKNOWN_CONSTANT__

## Method Details

### values

public static SocketOption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SocketOption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### description

public final String description()

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<SocketOption>`

### valueOf

public static SocketOption valueOf(long value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null